### Method

# Gimp FileProcedure set_handles_remote

#### Declaration [src]

    void
    gimp_file_procedure_set_handles_remote (
      GimpFileProcedure* procedure,
      gboolean handles_remote
    )

#### Description [src]

Registers a file procedure as capable of handling arbitrary remote URIs via GIO.

When `handles_remote` is set to `TRUE`, the procedure will get a `GFile` passed that can point to a remote file.

When `handles_remote` is set to `FALSE`, the procedure will get a local `GFile` passed and can use `g_file_get_path()` to get to a filename that can be used with whatever non-GIO means of dealing with the file.

Available since: | 3.0

#### Parameters

`handles_remote` | `gboolean`
| The procedure’s ‘handles remote’ flag.